# Class BaseUrlRule

A base rule which calls `match`

The value from the `match` function is passed through to the `handler`.

- Defined in router/url/url-rule.js:207

#####
Index

### Constructors

constructor

### Properties

$id
_group
handler
match
type

### Methods

matchPriority

##
Constructors

### constructor

- new BaseUrlRule(match, handler): BaseUrlRule

- #### Parameters

  - match: any
  - handler: any

  #### Returns BaseUrlRule

  - Defined in router/url/url-rule.js:208

##
Properties

### $id

$id: number

- Defined in router/url/url-rule.js:211

### _group

_group: any

- Defined in router/url/url-rule.js:212

### handler

handler: any

- Defined in router/url/url-rule.js:213

### match

match: any

- Defined in router/url/url-rule.js:209

### type

type: string

- Defined in router/url/url-rule.js:210

##
Methods

### matchPriority

- matchPriority(params?): number

- This function should be overridden

  #### Parameters

  - `Optional` params: any

  #### Returns number

  - Defined in router/url/url-rule.js:221